package com.tibco.mdm.cim.repositorymodel.customimport;

import java.net.URL;

import org.eclipse.ui.plugin.AbstractUIPlugin;
import org.osgi.framework.BundleContext;

import com.tibco.xpd.resources.logger.Logger;
import com.tibco.xpd.resources.logger.LoggerFactory;

/**
 * The activator class controls the plug-in life cycle
 */
public class CustomImportPlugin extends AbstractUIPlugin {

	
	// The plug-in ID
	public static final String PLUGIN_ID = "com.tibco.mdm.cim.repositorymodel.customimport";	                                        
	
	/** The migration xslt */
    private static final String BOM_TO_REP_XSLT = "/XSLT/RepoModel_Migration2_21.xsl"; //$NON-NLS-1$

	// The shared instance
	private static CustomImportPlugin plugin;
	
	  /** logger. */
    private Logger log;

	private static final String CIM_TO_REP_XSLT = "/XSLT/CimToRep.xsl";;

    
	/**
	 * The constructCustomImportPlugin
	 */
	public CustomImportPlugin() {
		plugin = this;
	}

	/*
	 * (non-Javadoc)
	 * @see org.eclipse.ui.plugin.AbstractUIPlugin#start(org.osgi.framework.BundleContext)
	 */
	public void start(BundleContext context) throws Exception {
		super.start(context);
		log = LoggerFactory.createLogger(PLUGIN_ID);
	}

	/*
	 * (non-Javadoc)
	 * @see org.eclipse.ui.plugin.AbstractUIPlugin#stop(org.osgi.framework.BundleContext)
	 */
	public void stop(BundleContext context) throws Exception {
		plugin = null;
		super.stop(context);
	}

	/**	
	 *
	 * @return the shared instance
	 */
	public static CustomImportPlugin getDefault() {
		return plugin;
	}

	/**    
     * @return URL of the transformation stylesheet from BOM to
     *         CIM Repository meta model.
     */
    public URL getBomToCimXsltUrl() {
    	return getClass().getResource(BOM_TO_REP_XSLT);
    }
    

	/**   
     * 
     * @return URL of the transformation stylesheet from CIM to
     *         Repository meta model.
     */
    public URL getCimToRepXsltUrl() {
    	return getClass().getResource(CIM_TO_REP_XSLT );
    }
    
    public Logger getLogger() {
    	
    	return log;
    }

}
